setwd("C:/Figure_2_v2")
library(useful)
library(ggpubr)
library(tidyverse)
library(viridis)
library(ggplot2)
library(gridExtra)
library(dplyr)
install.packages("ggplot2")

#read csv files

usPS <- read.csv("PS_US_SKJ_FUI.csv", header=TRUE)
asTL <- read.csv("TL_AS_SKJ_FUI.csv", header=TRUE)
hiTL <- read.csv("TL_HI_YFT_FUI.csv", header=TRUE)
hiLL <- read.csv("LL_HI_BET_FUI.csv", header=TRUE)
npSF <- read.csv("SF_NP_ALB_FUI.csv", header=TRUE)
asLL <- read.csv("LL_AS_ALB_FUI.csv", header=TRUE)

#combine files into a dataframe

df <- rbind(usPS, asTL,hiTL,hiLL,npSF,asLL)
mycolors <- c("#91bfdb","#d73027","#fc8d59","#4575b4") 
png("Figure_2_v5.png",height=4.5,width=3.5,units='in',res=300)


ggplot(df, aes(x=Year,y=Mean,color=Gear))+
  geom_line(aes(x=Year, y=Mean, color=Gear))+
  geom_ribbon(aes(ymin=LB,ymax=UB,fill=Gear),alpha=0.5)+
  xlab("Year")+
  ylab(expression("Fuel use intensity (l fuel t"~ tuna^-1*")"))+
  theme_classic()+ 
  scale_color_manual(values=mycolors)+ 
  scale_fill_manual(values=mycolors)+
  theme(legend.position = c(1.0, 0.36),legend.justification = c("right", "top"),legend.box.just = "right",legend.title = element_blank(), legend.key.width =unit(0.3,"cm"), legend.key.height = unit(0.3,"cm"))+
  guides(color=guide_legend(ncol=1))+
  scale_x_continuous(breaks = seq(1996, 2015, 2),limits=c(1996, 2015))+
  scale_y_continuous(breaks = seq(0,7000,2000), limits=c(0,7000))+
  theme(strip.background = element_blank())+
  theme(axis.text.x = element_text(angle = 90))+
  facet_wrap(~Species,ncol=1)+
  theme(strip.text.x = element_text(angle = 0, hjust = 0))
dev.off()
